Index: trunk/ui/settingsdialog.ui
===================================================================
--- trunk/ui/settingsdialog.ui	(revision 178)
+++ trunk/ui/settingsdialog.ui	(revision 1)
@@ -542,153 +286,134 @@
         </item>
         <item>
-         <spacer name="spacer_6">
-          <property name="orientation">
-           <enum>Qt::Vertical</enum>
+         <widget class="QCheckBox" name="checkBox" >
+          <property name="cursor" >
+           <cursorShape>PointingHandCursor</cursorShape>
           </property>
-          <property name="sizeHint" stdset="0">
-           <size>
-            <width>0</width>
-            <height>0</height>
-           </size>
+          <property name="text" >
+           <string>Сохранять состояние и положение главного окна</string>
           </property>
-         </spacer>
+         </widget>
         </item>
        </layout>
       </widget>
-     </widget>
-    </item>
-   </layout>
-  </widget>
+     </item>
+    </layout>
+   </item>
+   <item>
+    <widget class="Line" name="lineHorizontal" >
+     <property name="maximumSize" >
+      <size>
+       <width>16777215</width>
+       <height>2</height>
+      </size>
+     </property>
+     <property name="frameShadow" >
+      <enum>QFrame::Plain</enum>
+     </property>
+     <property name="lineWidth" >
+      <number>2</number>
+     </property>
+     <property name="orientation" >
+      <enum>Qt::Horizontal</enum>
+     </property>
+    </widget>
+   </item>
+   <item>
+    <layout class="QHBoxLayout" >
+     <property name="spacing" >
+      <number>6</number>
+     </property>
+     <property name="leftMargin" >
+      <number>6</number>
+     </property>
+     <property name="topMargin" >
+      <number>6</number>
+     </property>
+     <property name="rightMargin" >
+      <number>6</number>
+     </property>
+     <property name="bottomMargin" >
+      <number>6</number>
+     </property>
+     <item>
+      <widget class="QToolButton" name="toolButton" >
+       <property name="cursor" >
+        <cursorShape>PointingHandCursor</cursorShape>
+       </property>
+       <property name="toolTip" >
+        <string>Помощь</string>
+       </property>
+       <property name="statusTip" >
+        <string>Получить помощь по настройкам</string>
+       </property>
+       <property name="text" >
+        <string>Помощь</string>
+       </property>
+       <property name="icon" >
+        <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Help.png</iconset>
+       </property>
+       <property name="autoRaise" >
+        <bool>true</bool>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QLabel" name="labelHint" >
+       <property name="sizePolicy" >
+        <sizepolicy vsizetype="Preferred" hsizetype="Expanding" >
+         <horstretch>0</horstretch>
+         <verstretch>0</verstretch>
+        </sizepolicy>
+       </property>
+       <property name="text" >
+        <string>Подсказка</string>
+       </property>
+       <property name="textFormat" >
+        <enum>Qt::PlainText</enum>
+       </property>
+       <property name="alignment" >
+        <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
+       </property>
+       <property name="wordWrap" >
+        <bool>true</bool>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QPushButton" name="buttonOK" >
+       <property name="cursor" >
+        <cursorShape>PointingHandCursor</cursorShape>
+       </property>
+       <property name="text" >
+        <string>&amp;OK</string>
+       </property>
+       <property name="icon" >
+        <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/OK.png</iconset>
+       </property>
+       <property name="default" >
+        <bool>true</bool>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QPushButton" name="buttonCancel" >
+       <property name="cursor" >
+        <cursorShape>PointingHandCursor</cursorShape>
+       </property>
+       <property name="text" >
+        <string>&amp;Отмена</string>
+       </property>
+       <property name="icon" >
+        <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Critical.png</iconset>
+       </property>
+      </widget>
+     </item>
+    </layout>
+   </item>
+  </layout>
  </widget>
- <resources/>
- <connections>
-  <connection>
-   <sender>buttonBox</sender>
-   <signal>accepted()</signal>
-   <receiver>SettingsDialog</receiver>
-   <slot>accept()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>190</x>
-     <y>30</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>306</x>
-     <y>231</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>buttonBox</sender>
-   <signal>rejected()</signal>
-   <receiver>SettingsDialog</receiver>
-   <slot>reject()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>190</x>
-     <y>30</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>262</x>
-     <y>245</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>cbShowMatrix</sender>
-   <signal>toggled(bool)</signal>
-   <receiver>cbCitiesLimit</receiver>
-   <slot>setEnabled(bool)</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>91</x>
-     <y>107</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>113</x>
-     <y>132</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>cbShowMatrix</sender>
-   <signal>toggled(bool)</signal>
-   <receiver>cbCitiesLimit</receiver>
-   <slot>setChecked(bool)</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>91</x>
-     <y>107</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>113</x>
-     <y>132</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>cbCitiesLimit</sender>
-   <signal>toggled(bool)</signal>
-   <receiver>spinCitiesLimit</receiver>
-   <slot>setEnabled(bool)</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>113</x>
-     <y>132</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>183</x>
-     <y>134</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>cbGenerateGraph</sender>
-   <signal>toggled(bool)</signal>
-   <receiver>labelGraphImageFormat</receiver>
-   <slot>setEnabled(bool)</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>113</x>
-     <y>48</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>72</x>
-     <y>73</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>cbGenerateGraph</sender>
-   <signal>toggled(bool)</signal>
-   <receiver>comboGraphImageFormat</receiver>
-   <slot>setEnabled(bool)</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>113</x>
-     <y>48</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>149</x>
-     <y>73</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>cbGenerateGraph</sender>
-   <signal>toggled(bool)</signal>
-   <receiver>cbEmbedGraphIntoHTML</receiver>
-   <slot>setEnabled(bool)</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>128</x>
-     <y>45</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>136</x>
-     <y>103</y>
-    </hint>
-   </hints>
-  </connection>
- </connections>
+ <resources>
+  <include location="../resources/tspsg.qrc" />
+ </resources>
+ <connections/>
 </ui>
